Forum Stats

  • 3,759,224 Users
  • 2,251,514 Discussions
  • 7,870,541 Comments

Discussions

DB instance not working

user11041010
user11041010 Member Posts: 7
edited Apr 9, 2015 8:36AM in SQL Developer

SQL developer version: 4.1.0.18.37

When I click the DB Instance link, I see the following page:

sqldev_error.PNG

Any ideas what the Java error relates to ?

«1

Answers

  • Phil Richens-Oracle
    Phil Richens-Oracle Member Posts: 41
    edited Mar 13, 2015 8:56AM

    Hi,

    I'm not immediately sure what the problem is.

    Would you add the detailed information from the Logging Page (seen in your screenshot) please? To do this, double click on each cell in the Source and Message columns. This will open the Cell Value dialog containing the complete value from the cell. Just copy and paste those and put them in your reply here please.

    Also would you get me the Java version you are using. To find this out, first click "Help -> About" in the SQLDev menu bar to open the "About" dialog. Then select the "Version" tab. There, you should see the version string for "Java Platform". Again, please copy this string into your reply.

    Thanks.

    Philip Richens

    SQLDev Development Team.

  • user11041010
    user11041010 Member Posts: 7
    edited Mar 13, 2015 9:05AM

    Hi Philip

    Here is the info you requested:

    Source

    oracle.dbtools.raptor.backgroundTask.RaptorTaskManager$1

    Message

    null at oracle.dbtools.raptor.oviewer.xmleditor.XMLBasedEditor.updateContent(XMLBasedEditor.java:523)

    Source

    oracle.dbtools.raptor.oviewer.base.AsynchronousViewerEditor

    Message

    javafx/scene/layout/GridPane at java.lang.ClassLoader.defineClass1(Native Method)

    Java version:

    1.8.0_40

    Thanks

  • thatJeffSmith-Oracle
    thatJeffSmith-Oracle Distinguished Product Manager Posts: 7,983 Employee
    edited Mar 13, 2015 4:53PM

    Could  you share what version of the database  you're connected to as well?

  • Phil Richens-Oracle
    Phil Richens-Oracle Member Posts: 41
    edited Mar 16, 2015 5:13AM

    Thank you.

    Could you also specify which O/S version you are running in please?

    Philip.

  • Marwim
    Marwim Member Posts: 3,644 Gold Trophy
    edited Mar 16, 2015 7:27AM

    Same problem

    maybe the well known bug about XML and new JDBC driver agains an older db-version (11.2.0.2)?

    Edit:

    Regards

    Marcus

  • user11041010
    user11041010 Member Posts: 7
    edited Mar 16, 2015 7:03AM

    Hi

    The PC OS version is windows 7 enterprise edition, 64 bit.

    I have encountered this issue on the following Oracle versions:

    10.2.0.5.0 (running on Solaris 10)

    11.2.0.4.0 exadata, RAC, running on Linux

    The version of Oracle client I am using is 11.2.0.2.0.

  • thatJeffSmith-Oracle
    thatJeffSmith-Oracle Distinguished Product Manager Posts: 7,983 Employee
    edited Mar 16, 2015 3:01PM

    The closest we can figure, without having your machine in front of us to live debug, is that there's something off with your JDK.

    Are you running the EA2 that included the JDK, 1.8u40 or did you install Java 8 on your own?

    It's possible one of the jar's in that home are corrupted or incompatible for some reason.

  • user11041010
    user11041010 Member Posts: 7
    edited Mar 17, 2015 9:31AM

    Hi

    I was running EA2 with the JDK included. I have just deleted that install, downloaded EA2 again and unzipped it, and I'm still getting the same error.

  • thatJeffSmith-Oracle
    thatJeffSmith-Oracle Distinguished Product Manager Posts: 7,983 Employee
    edited Mar 18, 2015 10:08AM

    can you install java 8 and use that instead of the embedded jdk?

  • user11041010
    user11041010 Member Posts: 7
    edited Mar 18, 2015 12:13PM

    The organisation where I work has security policies on my PCs that prevent me from running .exe installers. Is there a .zip download for java 8 ?

This discussion has been closed.